---
title: "Retrieve information about a lab instance result within a specified time range"
slug: "retrieve-information-about-a-lab-instance-result-within-a-specified-time-range-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
canonical: "docs.skillable.com/retrieve-information-about-a-lab-instance-result-within-a-specified-time-range-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Retrieve information about a lab instance result within a specified time range
Get/Results
The **Results** command returns information about all lab instance results that started or ended within a specified time range. The time range cannot exceed 7 days.
SecurityAPI Key: api_keyHeader parameter nameapi_key
All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".
Query parametersstartinteger (int64) Required
The start of the timeframe to check against (in Unix epoch time).
Example1325376000
endinteger (int64) Required
The end of the timeframe to check against (in Unix epoch time).
Example1357002000
Responses200
OK Response.
Example of returning information about all lab instance results that started or ended within a specified time range
```json
{
"Results": [
{
"LabInstanceId": 349744,
"LabProfileId": 5522,
"Start": 1325376800,
"End": 1325376900,
"LastActivity": 1325376900,
"UserId": "555",
"ClassId": null,
"CompletionStatus": 1,
"TotalRunTimeSeconds": 2548,
"TaskCompletePercent": 33,
"IsExam": false,
"ExamPassed": null,
"ExamScore": null,
"ExamMaxPossibleScore": null,
"ExamPassingScore": null,
"IpAddress": null,
"Country": null,
"Region": null,
"City": null,
"Latitude": null,
"Longitude": null,
"LabHostId": 49,
"DatacenterId": 3,
"DeliveryRegionId": 2
},
{
"LabInstanceId": 349745,
"LabProfileId": 5523,
"Start": 1325377000,
"End": 1325377100,
"LastActivity": 1325377100,
"UserId": "555",
"ClassId": null,
"CompletionStatus": 1,
"TotalRunTimeSeconds": 4168,
"TaskCompletePercent": 44,
"IsExam": false,
"ExamPassed": null,
"ExamScore": null,
"ExamMaxPossibleScore": null,
"ExamPassingScore": null,
"IpAddress": null,
"Country": null,
"Region": null,
"City": null,
"Latitude": null,
"Longitude": null,
"LabHostId": 125,
"DatacenterId": 4,
"DeliveryRegionId": 3
}
],
"Status": 1,
"Error": null
}
```
Example when specifying a date range greater than 7 days
```json
{
"Error": "Timeframe cannot exceed 7 days",
"Status": 0
}
```
Expand Allobject Results Array of object
Array of LabResult objects.
object LabInstanceIdinteger (int64)
The unique identifier of the lab instance.
LabProfileIdinteger (int32)
The unique identifier of the lab profile the lab instance is based on.
Startinteger (int64)
When the lab was started (in Unix epoch time).
Endinteger (int64) | null
When the lab was started (in Unix epoch time).
LastActivityinteger (int64) | null
The last time the student interacted with the lab (in Unix epoch time).
UserIdstring | null
The unique identifier of the user, as represented in your system.
ClassIdstring | null
The unique identifier of the class the lab is related to, as represented in your system.
CompletionStatusinteger (int32)
The status when the lab instance is completed. Possible values are: 1 = Cancelled 2 = No Show 3 = Incomplete 4 = Complete 10 = Storage Provisioning Failed 20 = Lab Creation Failed 30 = Resume Failed 40 = Save Failed 50 = Submitted For Grading 60 = Grading In Progress
TotalRunTimeSecondsinteger (int32)
The total number of seconds the lab was running, whether or not the student was present.
TaskCompletePercentinteger (int32)
If the lab has integrated tasks, the percentage of tasks that the user has completed.
IsExamboolean
Indicates whether the lab is scored.
ExamPassedboolean | null
Indicates whether the user passed the lab. Will only be set if the lab has activities which have been scored.
ExamScorenumber (float) | null
Indicates the lab score. Will only be set if the lab has activities which have been scored.
ExamMaxPossibleScoreinteger (int32) | null
Indicates the maximum possible score of the lab. Will only be set if the lab has activities which have been scored.
ExamPassingScoreinteger (int32) | null
Indicates the minimum score required to pass the lab. Will only be set if the lab has activities which have been scored.
IpAddressstring | null
The user's IP address. This is only included if the IP address was provided when the lab was launched.
Countrystring | null
The user's country as determined by IP address geolocation. This is only included if the IP address was provided when the lab was launched.
Regionstring | null
The user's state/region as determined by IP address geolocation. This is only included if the IP address was provided when the lab was launched.
Citystring | null
The user's city as determined by IP address geolocation. This is only included if the IP address was provided when the lab was launched.
Latitudenumber (float) | null
The user's latitude as determined by IP address geolocation. This is only included if the IP address was provided when the lab was launched.
Longitudenumber (float) | null
The user's longitude as determined by IP address geolocation. This is only included if the IP address was provided when the lab was launched.
LabHostIdinteger | null
The ID of the lab host server that the lab instance is housed on.
DatacenterIdinteger | null
The ID of the datacenter that the lab instance is located in.
DeliveryRegionIdinteger | null
When specified, Skillable will attempt to launch the lab in the specified delivery region if a suitable host in that region is available and all required storage is available in that region. Delivery regions can be found using the **DeliveryRegions** command or **Catalog** command. Using the ipAddress parameter will result in a more reliable geo-location of the lab for the end user.
Statusinteger (int32)
Indicates the status of the API request 0 = Error 1 = Success
Errorstring | null
In the event of an error, this will contain a detailed error message.